package org.switchyard.workshop.lab2;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class IntakeManifest {
	
	private Date date;
	private String location;
	private List<Car> cars = new ArrayList<Car>();
	
	public Date getDate() {
		return date;
	}
	
	public IntakeManifest setDate(Date date) {
		this.date = date;
		return this;
	}
	
	public String getLocation() {
		return location;
	}
	
	public IntakeManifest setLocation(String location) {
		this.location = location;
		return this;
	}
	
	public List<Car> getCars() {
		return cars;
	}
	
	public IntakeManifest setCars(List<Car> cars) {
		this.cars = cars;
		return this;
	}
	
	public IntakeManifest addCar(Car car) {
		cars.add(car);
		return this;
	}
}
