package org.switchyard.workshop.lab2;

import org.apache.camel.builder.RouteBuilder;
import org.switchyard.component.camel.Route;

@Route(CarIntake.class)
public class CarIntakeBuilder extends RouteBuilder {
	
	private static final String NL = System.getProperty("line.separator");
	
	private static final String LOG_MESSAGE = 
	 NL +	"===========================================" + NL
		+   "==== MANIFEST RECEIVED IN ROUTE SERVICE ===" + NL
		+   "===========================================";
    
    /**
     * The Camel route is configured via this method.  The from:
     * endpoint is required to be a SwitchYard service.
     */
    public void configure() {
        from("switchyard://CarIntake")
        .log(LOG_MESSAGE)
        /********************************************************
		 *          INSERT SPLIT AND ROUTE EIP HERE             *
		 ********************************************************/
        ;
    }
}
